Retrieve a recipient’s details
GET
/v2/recipients/{recipientId}Request
Use this request to retrieve details about a given recipient, based on theirrecipientId.
Path parameters
The ID of the recipient that you want to retrieve details for.Allowable values: An existing
recipientIdQuery parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response.
List all recipients
GET
/v2/recipientsRequest
Use this request to retrieve a list of recipients associated with a given account.Query parameters
The ID of the account that you want to retrieve a list of recipients for.Allowable values: An existing
accountId (≤ 36 characters)The maximum number of results to return. For example,
limit=25. By default, this is set to 100.Allowable values: [ 1 .. 1000 ]The number of items to skip before returning results. For example,
offset=200. By default, this is set to 0.Allowable values: A valid integerThe term(s) to search for. You can use this to filter the results.Allowable values: A valid string
Whether or not to return deleted recipients.Allowable values:
true, falseFilter recipients by status.Allowable values:
AUTHORISED, PENDING, UNVERIFIED, REJECTEDResponse
If your request is successful, you’ll receive a200 response containing a list of people.
Delete a recipient
DELETE
/v2/recipients/{recipientId}Request
Use this request to permanently delete a recipient.Path parameters
The ID of the recipient that you want to delete.Allowable values: An existing
recipientIdQuery parameters
The ID of the account that you want to work with.Allowable values: An existing
accountId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response containing the updated details for this person.